import 'package:crp_core/core/model/Entity.dart';

abstract class Provider<T extends Entity> {
  Future<dynamic> fetchAll();
  Future<dynamic> fetchById(int id);
  Future<dynamic> delete(int id);
  Future<dynamic> update(T instance);
  Future<dynamic> insert(T instance);
}
